Bug 713334

Summary: Review Request: profdepanne - help desk for user
Product: [Fedora] Fedora Reporter: Patrice ANDREANI <patr_and>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: bugs.michael, fedora-package-review, mario.blaettermann, notting, pahan, swaikar
Target Milestone: ---   
Target Release: ---   
Hardware: noarch   
OS: Linux   
URL: http://codingteam.net/project/profdepanne
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-10 06:20:27 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 492018    
Bug Blocks: 201449    

Description Patrice ANDREANI 2011-06-14 22:42:38 EDT
Spec URL: http://andre-ani.fr/profdepanne.spec
SRPM URL: http://andre-ani.fr/profdepanne-2.6-1.fc15.src.rpm
Description: profdepanne is a free software (GPL) in Java, that help users to resolve themselves their computer problems. it also help to migrate to a Gnu/Linux system, install and use it.
Comment 1 Mario Blättermann 2011-10-16 08:02:17 EDT
Your spec file has to be written in American English, especially the changelog. If you want to provide some parts in French, please use the following additionally:

Summary(fr):        Programme d'aide aux utilisateurs.

%description -l fr
Ce programme permet d'aider les utilisateurs de l'informatique à se dépanner seul. C'est également un guide de migration vers GNU/Linux qui vous aidera à installer et utiliser un système libre.

Use a line wrap at 80 characters for the description to make it better readable.

The %define on top are not needed. Just write:

Name:           profdepanne 
Version:        2.6 
Release:        1%{?dist}

It's not needed to define a "Prefix:".

If you call desktop-file-utils in BuildRequires, you have also to apply the appropriate mechanism to install and verify your *.desktop file, see http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage.

Your package lacks of documentation. As the author of the upstream application, you should provide at least a README file in *English*. It's annoying for the users to have all in French. Additionally, you have to provide a license declaration in your package.

By the way, are you already a packager for Fedora? Or is this your first package and you need a sponsor?
Comment 2 Patrice ANDREANI 2011-10-16 10:08:06 EDT
Thanks for your interest about ProfDepanne.
I'm not a Fedora packager, I'm developping ProfDepanne on my free time. It's the first package I've done.
I know that Mageia is doing a package for it.
I appreciate some help please ;-)
Comment 3 Michael Schwendt 2012-05-11 15:51:39 EDT
Could you fill in your full name in your bugzilla account preferences?

In case you wouldn't want to become the Fedora package maintainer for your own software, you would need to find somebody else to become the packager.

Here are a few pages to skim through to aid you in your decision whether to become a Fedora Packager:

 * https://fedoraproject.org/wiki/Package_maintainer_responsibilities

 * https://fedoraproject.org/wiki/Join_the_package_collection_maintainers
 * https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

The top-level page of interest including the links to the Packaging Guidelines, Review Guidelines and Packaging Documentation:

 * https://fedoraproject.org/wiki/PackageMaintainers

[...]

To expand on the earlier comment:

> %define name    profdepanne
> %define version 2.6
> %define release 1%{?dist}

You gain nothing when doing that. Those three macros are defined already when doing:

Name:           profdepanne 
Version:        2.6 
Release:        1%{?dist}


> Prefix:		/usr

Here's the related section in the guidelines:
https://fedoraproject.org/wiki/Packaging:Guidelines#Relocatable_packages

Very often, packages which specify such a prefix aren't really relocable under the hood (for example due to hardcoded paths in files).


> %{_datadir}/applications/profdepanne.desktop

https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files
Comment 4 Patrice ANDREANI 2012-05-11 21:50:24 EDT
(In reply to comment #3)
> Could you fill in your full name in your bugzilla account preferences?
> 
> In case you wouldn't want to become the Fedora package maintainer for your own
> software, you would need to find somebody else to become the packager.
> 
> Here are a few pages to skim through to aid you in your decision whether to
> become a Fedora Packager:
> 
>  * https://fedoraproject.org/wiki/Package_maintainer_responsibilities
> 
>  * https://fedoraproject.org/wiki/Join_the_package_collection_maintainers
>  * https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
> 
> The top-level page of interest including the links to the Packaging Guidelines,
> Review Guidelines and Packaging Documentation:
> 
>  * https://fedoraproject.org/wiki/PackageMaintainers
> 
> [...]
> 
> To expand on the earlier comment:
> 
> > %define name    profdepanne
> > %define version 2.6
> > %define release 1%{?dist}
> 
> You gain nothing when doing that. Those three macros are defined already when
> doing:
> 
> Name:           profdepanne 
> Version:        2.6 
> Release:        1%{?dist}
> 
> 
> > Prefix:		/usr
> 
> Here's the related section in the guidelines:
> https://fedoraproject.org/wiki/Packaging:Guidelines#Relocatable_packages
> 
> Very often, packages which specify such a prefix aren't really relocable under
> the hood (for example due to hardcoded paths in files).
> 
> 
> > %{_datadir}/applications/profdepanne.desktop
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

hello,

done, I fill in my real name.

I'm not a packager and I don't have the time or knowledge to do this for now.
I need a sponsor for my software (I'll publish a new version soon). 

thanks a lot for your help ;-)

ANDRE Ani
Comment 5 Siddharth 2012-07-25 10:19:36 EDT
Hi ANDREANI ,

 Can I contribute to your software. 
 I know the process of building package but don't know the work here.
 I went through the page of pacakge reveiwer but don't understand the exact 
 task to do. If you can help me I am ready to do.

--
Siddharth.
Comment 6 Patrice ANDREANI 2012-07-25 10:42:38 EDT
Hi Siddharth,

I would try to create an rpm for my software, but I don't know how to do that.
If you know that, it's perfect ;-)

There's a new version of ProfDepanne here :
https://codingteam.net/project/profdepanne/download

I'm lost in bugzilla, I don't know myself what I have to do...
Comment 7 Michael Schwendt 2012-08-02 07:59:13 EDT
> I'm lost in bugzilla, I don't know myself what I have to do...

In comment 3, I specifically pointed you at:

  https://fedoraproject.org/wiki/Join_the_package_collection_maintainers


If all you answer is

> I'm not a packager and I don't have the time or knowledge to do this for now.

that's a refusal, and there's not much that can be done here.


Re: comment 5
@ Siddharth
The package review process is described at:
https://fedoraproject.org/wiki/Package_Review_Process
Do you have any specific questions?
Comment 8 Mario Blättermann 2012-08-02 13:56:19 EDT
(In reply to comment #7)
> If all you answer is
> 
> > I'm not a packager and I don't have the time or knowledge to do this for now.
> 
> that's a refusal, and there's not much that can be done here.

Yes, indeed. Seems that Patrice didn't understand what a package review request means. If somebody did it, then includes it to maintain the package, and to learn how to do that. Otherwise, there's no other way than to wait until some packager picks up the software.

@Siddharth, if you want to become the maintainer for profdepanne, please open a new review request and leave an appropriate hint here.
Comment 9 Jason Tibbitts 2012-08-10 06:20:27 EDT
I'm going to go ahead and close this; the ticket will still be there if someone searches.